# AIS2D_StatusOfDetection.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS2D_StatusOfDetection { AIS2D_SOD_Error, AIS2D_SOD_Nothing, AIS2D_SOD_AllBad, AIS2D_SOD_Selected, AIS2D_SOD_OnlyOneDetected, AIS2D_SOD_OnlyOneGood, AIS2D_SOD_SeveralGood }

## Enumeration Type Documentation

enum AIS2D_StatusOfDetection

Enumeration values:

  AIS2D_SOD_Error |
  AIS2D_SOD_Nothing |
  AIS2D_SOD_AllBad |
  AIS2D_SOD_Selected |
  AIS2D_SOD_OnlyOneDetected |
  AIS2D_SOD_OnlyOneGood |
  AIS2D_SOD_SeveralGood |